OpenTTD Source: Data Fields - Typedefs

OpenTTD Source 15.3

Here is a list of all documented typedefs with links to the struct/union documentation for each field:

### - b -

- BaseType : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- Blitters : BlitterFactory
- Buffer : PacketReader
- ButtonCallback : Button< T >

### - c -

- CharType : CoreTextParagraphLayoutFactory, FallbackParagraphLayoutFactory, ICUParagraphLayoutFactory, UniscribeParagraphLayoutFactory
- ConstIterator : CargoList< Tinst, Tcont >
- ConstReverseIterator : CargoList< Tinst, Tcont >
- ContentIDList : ClientNetworkContentSocketHandler

### - d -

- DateFract : TimerGame< T >
- Day : TimerGame< T >
- Drivers : DriverFactoryBase

### - f -

- FilterFunction : GUIList< T, P, F >

### - g -

- GroundVehicleBase : GroundVehicle< T, Type >
- GUIContentList : NetworkContentListWindow
- GUISignList : SignList

### - h -

- Handler : CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler

### - i -

- Iterate : Window
- IterateFromBack : Window
- IterateFromFront : Window
- Iterator : CargoList< Tinst, Tcont >
- IteratorToBack : Window
- IteratorToFront : Window

### - k -

- Key : CSegmentCostCacheT< Tsegment >, CYapfBaseT< Types >, CYapfCostRailT< Types >, CYapfCostRoadT< Types >, CYapfCostShipT< Types >, CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >, CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >, CYapfOriginTileT< Types >, CYapfOriginTileTwoWayT< Types >, CYapfSegmentCostCacheGlobalT< Types >

### - l -

- LoopProc : NetworkAddress

### - m -

- Month : TimerGame< T >

### - n -

- Node : CYapfBaseT< Types >, CYapfCostRailT< Types >, CYapfCostRoadT< Types >, CYapfCostShipT< Types >, CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >, CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >, CYapfOriginTileT< Types >, CYapfOriginTileTwoWayT< Types >, CYapfReserveTrack< Types >, CYapfSegmentCostCacheGlobalT< Types >, CYapfSegmentCostCacheNoneT< Types >
- node_distance : Kdtree< T, TxyFunc, CoordT, DistT >
- NodeList : CYapfBaseT< Types >

### - o -

- OnConvert : OneOfManySettingDesc
- OutputBufferVector : OutputStore

### - p -

- Parent : StationCargoList, VehicleCargoList
- PfBase : CYapfShip_TypesT< Tpf_ >
- PfCache : CYapfShip_TypesT< Tpf_ >
- PfCost : CYapfShip_TypesT< Tpf_ >
- PfDestination : CYapfShip_TypesT< Tpf_ >
- PfFollow : CYapfShip_TypesT< Tpf_ >
- PfOrigin : CYapfShip_TypesT< Tpf_ >
- Pool : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >
- PostChangeCallback : IntSettingDesc, StringSettingDesc
- PreChangeCheck : IntSettingDesc, StringSettingDesc

### - r -

- ReverseIterator : CargoList< Tinst, Tcont >

### - s -

- SettingValueList : ScriptConfig
- Slot : HashTable< Titem, Thash_bits_ >
- SortFunction : GUIList< T, P, F >
- Span : AllowedSubtags
- SpecializedVehicleBase : SpecializedVehicle< T, Type >
- SpriteCollection : SpriteLoader

### - t -

- TickCounter : TimerGameTick
- Ticks : TimerGameTick
- Tpf : CYapfBaseT< Types >, CYapfCostRailT< Types >, CYapfCostRoadT< Types >, CYapfCostShipT< Types >, CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >, CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >, CYapfOriginTileT< Types >, CYapfOriginTileTwoWayT< Types >, CYapfReserveTrack< Types >, CYapfSegmentCostCacheGlobalT< Types >, CYapfSegmentCostCacheNoneT< Types >, CYapfShip_TypesT< Tpf_ >
- TrackFollower : CYapfCostRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfShip_TypesT< Tpf_ >
- Types : CYapfShip_TypesT< Tpf_ >

### - v -

- ValueType : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- VehicleType : CYapfBaseT< Types >
- VisibleSettingsList : GSConfigWindow, ScriptSettingsWindow

### - x -

- XyOffs : SpriteAlignerWindow